gs-oldphoto(1)

NAME
gs-oldphoto - applies the GIMP Script-Fu Old Photo filter on an image

SYNOPSIS
gs-oldphoto input_filename output_filename
[-D on|off | - -defocus on|off]
[-B border_size | - -border-size border_size]
[-S on|off | - -sepia on|off]
[-M on|off | - -mottle on|off]
[-q | - -quiet] [-w | - -verbose]
gs-oldphoto [-h | - -help]
gs-oldphoto [-v | - -version]

DESCRIPTION
gs-oldphoto runs GIMP to load an image, applies the GIMP Script-Fu "Old Photo" filter (details: GIMP Script-Fu Old Photo: https://docs.gimp.org/3.0/en/script-fu-old-photo.html), and stores the result into an output file. The defocus mode (on or off), border size, sepia mode (on or off) and mottle mode (on or off) are configurable.

ARGUMENTS
The following options are available:

input_filename
    The input image. Any format supported by GIMP can be used. The format will be detected automatically.

output_filename
    The name for the output image to be written. Any format supported by GIMP can be used. The format will be detected by the provided file name extension (e.g. .jpeg, .png, .webp, .pdf, ...). An existing output file will be overwritten.

-D on|off | - -defocus on|off
    Turns defocus on or off. Default: on.

-B border_size | - -border-size border_size
    Sets the border size for the "Old Photo" filter. Default: 10.

-S on|off | - -sepia on|off
    Turns sepia on or off. Default: on.

-M on|off | - -mottle on|off
    Turns mottle on or off. Default: off.

-q | - -quiet
    Quiet mode: suppress GIMP console output. This is the default.

-w | - -verbose
    Verbose mode: print GIMP console output and processing details.

-h | - -help
    Prints the program's command-line parameters and exits.

-v | - -version
    Prints the program version and exits.

EXIT STATUS
The gs-oldphoto tool exits with 0 on success, and >0 in case of an error.

EXAMPLES

gs-oldphoto Bergen.jpeg Bergen-OldPhoto.jpeg

gs-oldphoto Bergen.jpeg Bergen-OldPhoto-with-Border20.jpeg --border-size 20 --verbose

gs-oldphoto Bergen.jpeg Bergen-OldPhoto-with-Border40.jpeg -B 40

gs-oldphoto Portobello.jpeg Portobello-OldPhoto.jpeg --verbose --sepia off --mottle on

gs-oldphoto --help

gs-oldphoto -h

gs-oldphoto --version

gs-oldphoto -v

SEE ALSO
gs-bumpmap(1), gs-caption(1), gs-clothify(1), gs-glossytext(1), gs-mosaic(1), gs-oilify(1), gs-resize-with-cropping(1), gs-test-gimp(1)

NOTES
This program is part of System-Tools. The latest version of System-Tools can be found on the System-Tools Homepage at System-Tools Homepage: https://www.nntb.no/~dreibh/system-tools/.

AUTHORS
Thomas Dreibholz, Homepage: https://www.nntb.no/~dreibh